Subject: Re: [manet] Suresh Krishnan's Discuss on draft-ietf-manet-dlep-lid-extension-05: (with DISCUSS)

From: Stan Ratliff <[email-masked]>
Date: Tue, 10 Sep 2019 11:09:41 -0400

Suresh,

Thanks again for the review and comment. We have just submitted an 07
version of DLEP LID to resolve the items brought up during the last call.
We used the text you suggested in Section 3.1 to resolve the issue. That
section now reads:
"   The Link Identifier Length Data Item is used by a DLEP modem
   implementation to specify the length of Link Identifier Data Items.
   If the router advertised support by including the value 'Link
   Identifiers' in the Extension Data Item inside the Session
   Initialization Message, this data item MAY be used in the Session
   Initialization Response Message, if the specified length is not the
   default value of 4 octets.  If the router did not specify support by
   including the value 'Link Identifiers' in the Extension Data item,
   this Data Item MUST NOT be sent."

Regards,
Stan

On Wed, Aug 21, 2019 at 8:58 AM Rick Taylor <[email-masked]>
wrote:

> Hi Suresh,
>
> Thanks for the feedback.
>
> This is a difficult one, as the whole document refers to an extension,
> we include canonical text early on that (tries to) state that if you
> support this extension, this is what you should do, if not don't.
>
> However, you are right that in the message that includes the extension
> negotiation and possibly this message, your suggestion is good.
>
> Cheers,
>
> Rick
>
>
> On Tue, 2019-08-20 at 21:05 -0700, Suresh Krishnan via Datatracker
> wrote:
> > Suresh Krishnan has entered the following ballot position for
> > draft-ietf-manet-dlep-lid-extension-05: Discuss
> >
> > When responding, please keep the subject line intact and reply to all
> > email addresses included in the To and CC lines. (Feel free to cut
> > this
> > introductory paragraph, however.)
> >
> >
> > Please refer to
> > https://www.ietf.org/iesg/statement/discuss-criteria.html
> > for more information about IESG DISCUSS and COMMENT positions.
> >
> >
> > The document, along with other ballot positions, can be found here:
> > https://datatracker.ietf.org/doc/draft-ietf-manet-dlep-lid-extension/
> >
> >
> >
> > -------------------------------------------------------------------
> > ---
> > DISCUSS:
> > -------------------------------------------------------------------
> > ---
> >
> > * Section 3.1.
> >
> > I might be missing something here but I think that the "MUST be used"
> > in this
> > session is wrong and must be relaxed by qualifying it. Here is why.
> > In case the
> > router does not advertise support by including the value 'Link
> > Identifiers' in
> > the Extension Data Item inside the Session Initialization Message, I
> > feel that
> > the modem MUST NOT send the Link Identifier Length Data Item as this
> > will
> > result in a Session Termination message from the router based on the
> > rules
> > specified in Section 12.1 of RFC8175 due to the unknown data item.
> >
> > If you agree with my assessment, I would suggest a change like this.
> > If not,
> > can you please clarify.
> >
> > OLD:
> >
> >    It MUST be used during Session Initialization, contained in a
> > Session
> >    Initialization Response Message, if the specified length is not
> > the
> >    default value of 4 octets.
> >
> > NEW:
> >
> >    If the router advertised support by including the value 'Link
> > Identifiers'
> >    in the Extension Data Item inside the Session Initialization
> > Message, this
> >    data item MUST be used during Session Initialization, contained in
> > a Session
> >    Initialization Response Message, if the specified length is not
> > the default
> >    value of 4 octets. If not, this Data Item MUST NOT be sent.
> >
> >
> >
> >
> > _______________________________________________
> > manet mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/manet
> _______________________________________________
> manet mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/manet
>

---

From: "Taylor, Rick" <[email-masked]>
Date: Tue, 10 Sep 2019 15:43:25 +0000

Stan,

I think you mean -06 version ☺

Cheers,

Rick Taylor
Product Design Authority, Mobile IP Node
Principal Engineer (eXpert), Mobile Communications
Airbus Defence and Space
Celtic Springs
Coedkernew
Newport
NP10 8FZ

Phone: +44 (0) 1633 71 5637
[email-masked]<mailto:[email-masked]>

www.airbusdefenceandspace.com<http://www.airbusdefenceandspace.com/>

From: manet [mailto:[email-masked]] On Behalf Of Stan Ratliff
Sent: 10 September 2019 16:10
To: Rick Taylor
Cc: [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]
Subject: Re: [manet] Suresh Krishnan's Discuss on draft-ietf-manet-dlep-lid-extension-05: (with DISCUSS)

Suresh,

Thanks again for the review and comment. We have just submitted an 07 version of DLEP LID to resolve the items brought up during the last call. We used the text you suggested in Section 3.1 to resolve the issue. That section now reads:

Regards,
Stan

On Wed, Aug 21, 2019 at 8:58 AM Rick Taylor <[email-masked]<mailto:[email-masked]>> wrote:
Hi Suresh,

Thanks for the feedback.

Cheers,

Rick

wrote:
> [email-masked]<mailto:[email-masked]>
_______________________________________________
manet mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/manet
This email and its attachments may contain confidential and/or privileged information.  If you have received them in error you must not use, copy or disclose their content to any person.  Please notify the sender immediately and then delete this email from your system.  This e-mail has been scanned for viruses, but it is the responsibility of the recipient to conduct their own security measures. Airbus Operations Limited is not liable for any loss or damage arising from the receipt or use of this e-mail.

Airbus Operations Limited, a company registered in England and Wales, registration number, 3468788.  Registered office:  Pegasus House, Aerospace Avenue, Filton, Bristol, BS34 7PA, UK.

---

From: "Ratliff, Stanley" <[email-masked]>
Date: Tue, 10 Sep 2019 16:08:31 +0000

Rick/all:

Oops. Yes, I meant the -06 version. Typing has never been my strong suit... ;-)

Regards,
Stan

From: manet <[email-masked]> On Behalf Of Taylor, Rick
Sent: Tuesday, September 10, 2019 11:43 AM
To: Stan Ratliff <[email-masked]>; Rick Taylor <[email-masked]>
Cc: [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]
Subject: Re: [manet] Suresh Krishnan's Discuss on draft-ietf-manet-dlep-lid-extension-05: (with DISCUSS)

***WARNING! THIS EMAIL ORIGINATES FROM OUTSIDE ST ENGINEERING IDIRECT.***

________________________________
Stan,

I think you mean -06 version :)

Cheers,

Rick Taylor

From: manet [mailto:[email-masked]] On Behalf Of Stan Ratliff
Sent: 10 September 2019 16:10
To: Rick Taylor
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Re: [manet] Suresh Krishnan's Discuss on draft-ietf-manet-dlep-lid-extension-05: (with DISCUSS)

Suresh,

Regards,
Stan

Thanks for the feedback.

Cheers,

Rick

wrote:
> https://www.ietf.org/iesg/statement/discuss-criteria.html<https://www.ietf.org/iesg/statement/discuss-criteria.html>
> https://datatracker.ietf.org/doc/draft-ietf-manet-dlep-lid-extension/<https://datatracker.ietf.org/doc/draft-ietf-manet-dlep-lid-extension/>
>
>
>
> https://www.ietf.org/mailman/listinfo/manet<https://www.ietf.org/mailman/listinfo/manet>
_______________________________________________
manet mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/manet<https://www.ietf.org/mailman/listinfo/manet>

This electronic message and any files transmitted with it contains information from iDirect, which may be privileged, proprietary and/or confidential. It is intended solely for the use of the individual or entity to whom they are addressed. 
If you are not the original recipient or the person responsible for delivering the email to the intended recipient, be advised that you have received this email in error, and that any use, dissemination, forwarding, printing, or copying of 
this email is strictly prohibited. If you received this email in error, please delete it and immediately notify the sender.